Bug 237596 - net-mgmt/icingaweb2: version 2.6.3 poudriere package phase fails
Summary: net-mgmt/icingaweb2: version 2.6.3 poudriere package phase fails
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Lars Engels
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-27 07:34 UTC by Fredrik Eriksson
Modified: 2019-06-04 14:56 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (lme)


Attachments
poudriere build log (34.12 KB, text/plain)
2019-04-27 07:34 UTC, Fredrik Eriksson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fredrik Eriksson 2019-04-27 07:34:15 UTC
Created attachment 204057 [details]
poudriere build log

It seems the relvant part of the log is:

pkg-static: Unable to access file /wrkdirs/usr/ports/net-mgmt/icingaweb2/work/stage/usr/local/etc/bash_completion.d/icingacli:No such file or directory

This file was moved compared to previous version

https://svnweb.freebsd.org/ports/head/net-mgmt/icingaweb2/pkg-plist?r1=500091&r2=500090&pathrev=500091

Searching in the stage environment of the failed build it seems this file was installed to both /usr/local/share/examples/icingaweb2/bash_completion.d and /usr/local/www/icingaweb2/etc/bash_completion.d:

# find ./ -name 'icingacli'
./usr/local/share/examples/icingaweb2/bash_completion.d/icingacli
./usr/local/www/icingaweb2/etc/bash_completion.d/icingacli
./usr/local/www/icingaweb2/bin/icingacli
./usr/local/bin/icingacli

So I'm guessing the plist-file should be updated
Comment 1 Lars Engels freebsd_committer 2019-04-27 07:37:27 UTC
Thanks! I'll investigate and fix it later.
Comment 2 commit-hook freebsd_committer 2019-04-29 07:49:02 UTC
A commit references this bug:

Author: lme
Date: Mon Apr 29 07:48:20 UTC 2019
New revision: 500393
URL: https://svnweb.freebsd.org/changeset/ports/500393

Log:
  net-mgmt/icingaweb2:

  - Fix plist by installing icingacli's bash completion to ${PREFIX}/etc/bash_completion.d/
  - Bump PORTREVISION

  PR:		237596
  Submitted by:	Fredrik Eriksson <freebsd@wb9.se>
  MFH:		2019Q2

Changes:
  head/net-mgmt/icingaweb2/Makefile
Comment 3 commit-hook freebsd_committer 2019-04-30 16:45:25 UTC
A commit references this bug:

Author: lme
Date: Tue Apr 30 16:45:01 UTC 2019
New revision: 500507
URL: https://svnweb.freebsd.org/changeset/ports/500507

Log:
  MFH: r500393

  net-mgmt/icingaweb2:

  - Fix plist by installing icingacli's bash completion to ${PREFIX}/etc/bash_completion.d/
  - Bump PORTREVISION

  PR:		237596
  Submitted by:	Fredrik Eriksson <freebsd@wb9.se>

  Approved by:	portmgr (antoine)

Changes:
_U  branches/2019Q2/
  branches/2019Q2/net-mgmt/icingaweb2/Makefile
Comment 4 Lars Engels freebsd_committer 2019-06-04 14:56:18 UTC
This has been fixed with the commit referenced above.